## ignition-fuel-tools 1.0.0%2Bdfsg4

=== src/CMakeLists.txt ===
# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable.
ign_get_libsources_and_unittests(sources gtest_sources)

# Create the library target.
ign_add_library(${PROJECT_LIBRARY_TARGET_NAME} ${sources})

# Turn on C++11 support for the library.
ign_set_project_public_cxx_standard(11)

# Link the libraries that we always need.
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
  PRIVATE
    curl::curl
    ignition-common1::ignition-common1
    ${JSONCPP_TARGET}
    YAML::YAML
    ZIP::ZIP
)

# Create installation instructions for the library target. This must be called
# in the same scope that the target is created.
ign_install_library()

# Build the unit tests.
ign_build_tests(TYPE UNIT
                SOURCES ${gtest_sources}
                LIB_DEPS ignition-common1::ignition-common1
)

# Command line support.
add_subdirectory(cmd)

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${PROJECT_BINARY_DIR}
)

configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/test/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)

=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               libignition-cmake-dev,
               libignition-common-dev (>= 1.0.0),
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libgtest-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools1-1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
       libignition-common-dev (>= 1.0.0),
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev | libcurl-dev,
       libyaml-dev,
       libignition-fuel-tools1-1 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries

=== debian/watch ===
version=3
opts=dversionmangle=s/$/+dfsg/ \
 http://gazebosim.org/distributions/ign-fuel-tools/releases/ .*ignition-fuel_tools-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ignition-fuel-tools 1.0.0+dfsg4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-fuel_tools1 VERSION 1.0.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

# ignition-fuel-tools currently has no options that are unique to it

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find libcurl
ign_find_package(IgnCURL REQUIRED PRIVATE)

#--------------------------------------
# Find jsoncpp
ign_find_package(JSONCPP REQUIRED PRIVATE)

#--------------------------------------
# Find libyaml
ign_find_package(YAML REQUIRED PRIVATE)

#--------------------------------------
# Find libzip
ign_find_package(ZIP REQUIRED PRIVATE)

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common1 REQUIRED PRIVATE)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

=== conf/CMakeLists.txt ===
set(ign_library_path "${CMAKE_BINARY_DIR}/src/cmd/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/transport${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file.
# Note that the major version of the library is included in the name.
# Ex: fuel0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
# install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

# Install config.yaml
install (FILES config.yaml DESTINATION
  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/${IGN_DESIGNATION}/)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the Ignition Fuel Tools library
find_package(ignition-fuel_tools1 QUIET REQUIRED)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-FUEL-TOOLS_CXX_FLAGS}")
include_directories(${IGNITION-FUEL_TOOLS_INCLUDE_DIRS})
link_directories(${IGNITION-FUEL_TOOLS_LIBRARY_DIRS})

# GFlags
find_library(gflags_LIBRARIES NAMES gflags)
find_path(gflags_INCLUDE_DIRS gflags/gflags.h ENV CPATH)
if (NOT gflags_LIBRARIES OR NOT gflags_INCLUDE_DIRS)
  message (STATUS "Unable to compile 'bench.cc', missing GFLags library")
else()
  include_directories(SYSTEM ${gflags_INCLUDE_DIRS})
endif()

# Generate examples
if (EXISTS "${CMAKE_SOURCE_DIR}/modelList.cc")
  add_executable(modelList modelList.cc)
  target_link_libraries(modelList
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/modelDownload.cc")
  add_executable(modelDownload modelDownload.cc)
  target_link_libraries(modelDownload
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/modelDetails.cc")
  add_executable(modelDetails modelDetails.cc)
  target_link_libraries(modelDetails
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (MSVC)

  # Don't pull in the Windows min/max macros
  add_definitions(-DNOMINMAX)

endif()

=== src/cmd/CMakeLists.txt ===
# Generate a the ruby script.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
if (APPLE)
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.dylib)
else()
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.so)
endif()

configure_file(
  "cmdfuel.rb.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb" @ONLY)


# Install the ruby command line library in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb DESTINATION lib/ruby/ignition)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  zip.cc
)

include_directories(SYSTEM ${CMAKE_BINARY_DIR}/test/)
link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(TYPE INTEGRATION
                SOURCES ${tests}
                LIB_DEPS ignition-common1::ignition-common1
)

=== debian/changelog ===
ignition-fuel-tools (1.0.0+dfsg4-4) unstable; urgency=medium

  * Fix problem with ign-tools support. Package it only in the -dev file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Mar 2018 01:33:45 +0000

ignition-fuel-tools (1.0.0+dfsg4-3) unstable; urgency=medium

  * Fix broken ign-tools support by including the modules into the packaging

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 19:01:37 +0000

ignition-fuel-tools (1.0.0+dfsg4-2) unstable; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Don't need parallel in dh anymore when using compat 11
  * Need to set CMAKE_BUILD_TYPE due to a bug in ign-cmake
  * Remove trailing whitespace
  * Rename packages to agree with policy about ABI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Feb 2018 16:51:24 -0800

ignition-fuel-tools (1.0.0+dfsg4-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg4
    (Closes: #889942)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 17 Feb 2018 03:00:47 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
        libignition-common-dev (>= 1.0.0),
        libzip-dev,
        libjsoncpp-dev,
-       libcurl4-openssl-dev | libcurl-dev,
+       libcurl4-openssl-dev,
        libyaml-dev,
        libignition-fuel-tools1-1 (= ${binary:Version}),
        ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: get-orig-source \
        override_dh_auto_configure

# An issue in ign-cmake is preventing the configure step to
# be run with CMAKE_BUILD_TYPE as None in this moment.
# Temporary fix is to setup as RelWithDebInfo
override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
%:
	dh $@

# Upstream release page is generated dynamically taking long time
get-orig-source:
	uscan --timeout 90 --verbose --force-download --repack --compress xz

## ignition-fuel-tools 4.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools1 VERSION 1.0.0)
+project(ignition-fuel_tools4 VERSION 4.1.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake0 REQUIRED)
+find_package(ignition-cmake2 REQUIRED)
 
 #============================================================================
 # Configure the project
@@ -20,11 +20,13 @@
 # Set project-specific options
 #============================================================================
 
-# ignition-fuel-tools currently has no options that are unique to it
-
 #============================================================================
 # Search for project-specific dependencies
 #============================================================================
+
+#--------------------------------------
+# Find Tinyxml2
+ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)
 
 #--------------------------------------
 # Find libcurl
@@ -44,7 +46,20 @@
 
 #--------------------------------------
 # Find ignition-common
-ign_find_package(ignition-common1 REQUIRED PRIVATE)
+ign_find_package(ignition-common3 REQUIRED PRIVATE)
+set(IGN_COMMON_MAJOR_VER ${ignition-common3_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-msgs
+ign_find_package(ignition-msgs5 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-msgs5_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-tools
+ign_find_package(ignition-tools QUIET)
+if (ignition-tools_FOUND)
+  set (HAVE_IGN_TOOLS TRUE)
+endif()
 
 #============================================================================
 # Configure the build
@@ -60,3 +75,16 @@
 # Create package information
 #============================================================================
 ign_create_packages()
+
+#============================================================================
+# Configure documentation
+#============================================================================
+configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
+configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)
+
+ign_create_docs(
+  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
+  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
+  TAGFILES
+   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
+  )

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the Ignition Fuel Tools library
find_package(ignition-fuel_tools4 QUIET REQUIRED)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-FUEL-TOOLS_CXX_FLAGS}")
include_directories(
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-FUEL_TOOLS_INCLUDE_DIRS}
)
link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-FUEL_TOOLS_LIBRARY_DIRS}
)

# GFlags
find_library(gflags_LIBRARIES NAMES gflags)
find_path(gflags_INCLUDE_DIRS gflags/gflags.h ENV CPATH)
if (NOT gflags_LIBRARIES OR NOT gflags_INCLUDE_DIRS)
  message (STATUS "Unable to compile 'bench.cc', missing GFLags library")
else()
  include_directories(SYSTEM ${gflags_INCLUDE_DIRS})
endif()

# Generate examples
if (EXISTS "${CMAKE_SOURCE_DIR}/list.cc")
  add_executable(list list.cc)
  target_link_libraries(list
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/download.cc")
  add_executable(download download.cc)
  target_link_libraries(download
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/details.cc")
  add_executable(details details.cc)
  target_link_libraries(details
                        ${IGNITION-COMMON_LIBRARIES}
                        ${IGNITION-FUEL_TOOLS_LIBRARIES}
                        ${gflags_LIBRARIES})
endif()

if (MSVC)

  # Don't pull in the Windows min/max macros
  add_definitions(-DNOMINMAX)

endif()

=== src/CMakeLists.txt ===
set (sources
  ClientConfig.cc
  FuelClient.cc
  ign.cc
  Interface.cc
  JSONParser.cc
  LocalCache.cc
  Model.cc
  ModelIdentifier.cc
  ModelIter.cc
  RestClient.cc
  Result.cc
  Zip.cc
  WorldIdentifier.cc
  WorldIter.cc
)

set (gtest_sources
  ClientConfig_TEST.cc
  FuelClient_TEST.cc
  ign_src_TEST.cc
  Interface_TEST.cc
  JSONParser_TEST.cc
  LocalCache_TEST.cc
  ModelIdentifier_TEST.cc
  ModelIter_TEST.cc
  Model_TEST.cc
  RestClient_TEST.cc
  Result_TEST.cc
  WorldIdentifier_TEST.cc
  WorldIter_TEST.cc
  Zip_TEST.cc
)

if (HAVE_IGN_TOOLS)
  set (gtest_sources ${gtest_sources}
    ign_TEST.cc
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

# Link the libraries that we always need.
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  PRIVATE
    ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
    curl::curl
    ${JSONCPP_TARGET}
    TINYXML2::TINYXML2
    ${YAML_TARGET}
    ZIP::ZIP
)

ign_target_interface_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
)


# Build the unit tests.
ign_build_tests(TYPE UNIT
                SOURCES ${gtest_sources}
                LIB_DEPS
                  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
                  TINYXML2::TINYXML2
)

# Command line support.
add_subdirectory(cmd)

=== tools/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/test
)

set (test_sources

)

if (IGNITION-TOOLS_BINARY_DIRS)
  ign_build_tests(TYPE UNIT SOURCES ${test_sources})
endif ()

=== test/performance/CMakeLists.txt ===
set(TEST_TYPE "PERFORMANCE")

set(tests
)

link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(TYPE PERFORMANCE SOURCES ${tests})

=== include/ignition/fuel_tools/CMakeLists.txt ===
ign_install_all_headers(
  EXCLUDE_FILES
    WorldIterPrivate.hh
)

=== debian/changelog ===
ignition-fuel-tools (4.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Disable tests with network access

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 13:02:41 +0200

ignition-fuel-tools (4.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest and add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:24:18 +0200

ignition-fuel-tools (4.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable tests on arch:all build

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 13:58:25 +0200

ignition-fuel-tools (4.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:35:09 +0200

ignition-fuel-tools (4.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  [ Jose Luis Rivero ]
  * Update standard version
  * Move pack options to watch file

  [ Jochen Sprickerhof ]
  * Update d/watch
  * New upstream version 4.1.0+dfsg
  * Rebase patches
  * Update copyright
  * Update package names (due to API change)
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 19:14:42 +0200

ignition-fuel-tools (1.2.0+dfsg-2) unstable; urgency=medium

  * Remove merged patch
  * Update dependency on ignition-common
  * Add patch to disable tests that use network

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 14:54:27 +0000

ignition-fuel-tools (1.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * New upstream version 1.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 10:51:12 +0000

ignition-fuel-tools (1.0.0+dfsg4-5) unstable; urgency=medium

  * Team upload.
  * Add alternative libcurl dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 18:28:02 +0200

=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 12),
               libignition-common-dev (>= 3),
               libignition-msgs-dev (>= 5),
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libtinyxml2-dev,
               libyaml-dev,
               libgtest-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools4-4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools-dev
Architecture: any
Section: libdevel
Depends: libignition-common-dev (>= 3),
         libignition-cmake-dev (>= 2),
         libtinyxml2-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libyaml-dev,
         libzip-dev,
         libignition-msgs-dev (>= 5),
         libjsoncpp-dev,
         libignition-fuel-tools4-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Replaces: libignition-fuel-tools1-dev (<< 4.1.0+dfsg-1~)
Breaks: libignition-fuel-tools1-dev (<< 4.1.0+dfsg-1~)
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries

Package: libignition-fuel-tools1-dev
Depends: libignition-fuel-tools-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/tests/control ===
Tests: build
Depends: libignition-fuel-tools-dev, pkg-config, build-essential

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/ignitionrobotics/ign-fuel-tools/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-fuel-tools 7.0.0%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 set (sources
   ClientConfig.cc
+  CollectionIdentifier.cc
   FuelClient.cc
+  Helpers.cc
   ign.cc
   Interface.cc
   JSONParser.cc
@@ -17,9 +19,11 @@
 
 set (gtest_sources
   ClientConfig_TEST.cc
+  CollectionIdentifier_TEST.cc
   FuelClient_TEST.cc
   ign_src_TEST.cc
   Interface_TEST.cc
+  Helpers_TEST.cc
   JSONParser_TEST.cc
   LocalCache_TEST.cc
   ModelIdentifier_TEST.cc
@@ -64,6 +68,7 @@
 ign_build_tests(TYPE UNIT
                 SOURCES ${gtest_sources}
                 LIB_DEPS
+                  ignition-cmake${IGN_CMAKE_VER}::utilities
                   ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
                   TINYXML2::TINYXML2
 )

=== debian/changelog ===
ignition-fuel-tools (7.0.0+ds-3) unstable; urgency=medium

  * Ignore more tests that needs network
    (Closes: #1006024)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Feb 2022 16:25:07 +0000

ignition-fuel-tools (7.0.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:26:53 +0000

ignition-fuel-tools (7.0.0+ds-1) experimental; urgency=medium

  * New upstream version 7.0.0+ds
  * Migrate metadata to version 7 + update deps
  * Rediff patches
  * Update copyright
  * Suggest ignition-tools
  * Disable ign tools patch. Needs software installation
  * Improve autopkgtest with real example
  * Remove gitlab file
  * Update standards to 4.6.0
  * Use debhelper compat 13

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Nov 2021 18:38:56 +0000

ignition-fuel-tools (4.1.0+dfsg-6) unstable; urgency=medium

  * Patch failing test with duplicate / in string identifier
    (Closes: #997517)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Oct 2021 15:08:28 +0000

## ignition-fuel-tools 7.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,19 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools4 VERSION 4.1.0)
+project(ignition-fuel_tools7 VERSION 7.0.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 REQUIRED)
+find_package(ignition-cmake2 2.8.0 REQUIRED)
+set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #============================================================================
 # Set project-specific options
@@ -30,7 +31,7 @@
 
 #--------------------------------------
 # Find libcurl
-ign_find_package(IgnCURL REQUIRED PRIVATE)
+ign_find_package(IgnCURL REQUIRED PRIVATE PRETTY curl)
 
 #--------------------------------------
 # Find jsoncpp
@@ -46,20 +47,22 @@
 
 #--------------------------------------
 # Find ignition-common
-ign_find_package(ignition-common3 REQUIRED PRIVATE)
-set(IGN_COMMON_MAJOR_VER ${ignition-common3_VERSION_MAJOR})
+ign_find_package(ignition-common4 REQUIRED PRIVATE)
+set(IGN_COMMON_MAJOR_VER ${ignition-common4_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-math
+ign_find_package(ignition-math6 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-math6_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs5 REQUIRED PRIVATE)
-set(IGN_MSGS_MAJOR_VER ${ignition-msgs5_VERSION_MAJOR})
+ign_find_package(ignition-msgs8 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-msgs8_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ignition-tools
-ign_find_package(ignition-tools QUIET)
-if (ignition-tools_FOUND)
-  set (HAVE_IGN_TOOLS TRUE)
-endif()
+find_program(HAVE_IGN_TOOLS ign)
 
 #============================================================================
 # Configure the build

=== conf/CMakeLists.txt ===
set(ign_library_path "${CMAKE_BINARY_DIR}/src/cmd/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: fuel0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/fuel${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmdfuel${PROJECT_VERSION_MAJOR}")

# Generate a configuration file.
# Note that the major version of the library is included in the name.
# Ex: fuel0.yaml
configure_file(
  "fuel.yaml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.yaml DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

# Install config.yaml
install (FILES config.yaml DESTINATION
  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}/)

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(${CMAKE_SOURCE_DIR}/doc/ignition.in
                 ${CMAKE_BINARY_DIR}/ignition.dox @ONLY)

  configure_file(${CMAKE_SOURCE_DIR}/doc/tutorials.in
                 ${CMAKE_BINARY_DIR}/tutorials.dox @ONLY)

  add_custom_target(doc ALL
    # Generate the API documentation
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/ignition.dox
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}

    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/tutorials.dox

    COMMENT "Generating API documentation with Doxygen" VERBATIM)

  install(FILES ${CMAKE_BINARY_DIR}/doc/${PROJECT_NAME_LOWER}.tag.xml
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ignition/${PROJECT_NAME_LOWER}_${PROJECT_VERSION_MINOR})
endif()

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 
 # Find the Ignition Fuel Tools library
-find_package(ignition-fuel_tools4 QUIET REQUIRED)
+find_package(ignition-fuel_tools7 QUIET REQUIRED)
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-FUEL-TOOLS_CXX_FLAGS}")
 include_directories(
   ${IGNITION-COMMON_INCLUDE_DIRS}

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,10 @@
 # Build gtest
 add_library(gtest STATIC gtest/src/gtest-all.cc)
 add_library(gtest_main STATIC gtest/src/gtest_main.cc)
-target_link_libraries(gtest_main gtest)
+target_link_libraries(
+  gtest_main gtest
+  ignition-cmake${IGN_CMAKE_VER}::utilities
+)
 set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
 set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 ign_build_tests(TYPE INTEGRATION
                 SOURCES ${tests}
-                LIB_DEPS ignition-common1::ignition-common1
+                LIB_DEPS ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
 )

=== test/regression/CMakeLists.txt ===
set(TEST_TYPE "REGRESSION")

set(tests
)

link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(TYPE REGRESSION SOURCES ${tests})

=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libcurl4-openssl-dev | libcurl-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libignition-cmake-dev (>= 2.3.0),
               libignition-common-core-dev (>= 4),
               libignition-msgs-dev (>= 8),
               libtinyxml2-dev,
               libyaml-dev,
               libzip-dev,
               ignition-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools7-7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools-dev
Architecture: any
Section: libdevel
Depends: libjsoncpp-dev,
         libignition-cmake-dev (>= 2.3.0),
         libignition-common-core-dev (>= 4),
         libignition-msgs-dev (>= 8),
         libcurl4-openssl-dev | libcurl-dev,
         libtinyxml2-dev,
         libyaml-dev,
         libzip-dev,
         libignition-fuel-tools7-7 (= ${binary:Version}),
         ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_SSE_FLAGS:BOOL=False \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False

# Test fail without binaries
override_dh_auto_test-indep:

%:
	dh $@

=== debian/tests/control ===
Tests: build
Depends: @, cmake, build-essential, libgflags-dev
